Package org.eclipse.net4j.util.collection

## Class FastList<E>

- java.lang.Object
- - org.eclipse.net4j.util.collection.ConcurrentArray<E>
  - - org.eclipse.net4j.util.collection.FastList<E>

-     @Deprecated
      public abstract class FastList<E>
      extends ConcurrentArray<E>

  Deprecated.
  As of 3.2 use `ConcurrentArray`.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

      `ConcurrentArray.DuplicateCounter<E>, ConcurrentArray.Unique<E>`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

      `elements`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FastList()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

      `add, addUnique, contains, elementAdded, elementRemoved, equals, firstElementAdded, get, isEmpty, lastElementRemoved, newArray, remove, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastList

          public FastList()

      Deprecated.